import { Telegraf } from "telegraf";
import configs from "../configs/main.js";
import { log } from "../utils/logger.js";

const bot = new Telegraf(configs.bot.apiToken);

const sendMessage = async (message) => {
  try {
    await bot.telegram.sendMessage(configs.bot.chatId, message);
    log.info("Message sent successfully");
  } catch (error) {
    log.error("Error sending message:", error);
  }
};

export { sendMessage };
