import winston from "winston";


const logger = () => {
  try {
    return winston.createLogger({
      level: 'info',
      format: winston.format.combine(
        winston.format.colorize(),
        winston.format.simple()
      ),
      transports: [
        new winston.transports.Console(),
        new winston.transports.File({
          filename: 'logs/bot.log',
          options: { flags: 'a' },
          level: 'info',
          async: true
        })
      ]
    });
  } catch (error) {
    console.error('Logger creation failed:', error);
  }
};

const log = logger();
if (log) {
  log.info('Bot started');
}

export { log };
